<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="deprecateForm">
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="deprecateRulePanel"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.xval.MarkAGazelleXValidationRuleAsDeprecated']}</ui:define>
            <s:div id="deprecateRulePanelContent">
                <s:div rendered="#{ruleUpdateManager.rule == null}">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.NoRuleSelected']}" styleClass="message"/>
                </s:div>

                <s:div id="validatorDetails">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.ThisRuleIsOwnedByTheFollowingValidator']}"/>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Name']}</ui:define>
                            <h:outputText value="#{ruleUpdateManager.validator.name}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.AffinityDomain_2']}</ui:define>
                            <h:outputText value="#{ruleUpdateManager.validator.affinityDomain}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Version']}</ui:define>
                            <h:outputText value="#{ruleUpdateManager.validator.version}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Status']}</ui:define>
                            <h:outputText value="#{ruleUpdateManager.validator.status.value}"/>
                        </s:decorate>
                    </dl>
                </s:div>
                <h:outputText value="#{messages['net.ihe.gazelle.xval.ThisValidatorWillBeTurnedIntoMaintenanceMode']}"
                              rendered="#{ruleUpdateManager.putValidatorInMaintenance}" styleClass="gzl-alert gzl-alert-orange"/>
                <div class="row">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.DoYouReallyWantToMarkTheRule']} "/>
                    <h:outputText value="#{ruleUpdateManager.rule.keyword}" style="font-weight:bold;"/>
                    <h:outputText value=" #{messages['net.ihe.gazelle.xval.AsDeprecated']}"/>
                </div>
            </s:div>
            <ui:define name="popup_footer">
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Yes']}" oncomplete="jq162('#deprecateRulePanel').modal('hide');"
                                   action="#{ruleUpdateManager.deprecateRule()}"
                                   render="rulesPanel globalForm globalDiv"
                                   styleClass="gzl-btn-green"/>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Cancel']}"
                                   oncomplete="jq162('#deprecateRulePanel').modal('hide');"
                                   immediate="true" actionListener="#{ruleUpdateManager.cancelUpdate(null)}"
                                   styleClass="gzl-btn-orange"/>
            </ui:define>
        </ui:decorate>
    </h:form>
</ui:composition>
